# Class KeyBindingDispatcher.KeyDownFilter

java.lang.Object
org.eclipse.e4.ui.bindings.keys.KeyBindingDispatcher.KeyDownFilter

All Implemented Interfaces:
  `Listener`

Enclosing class:
  `KeyBindingDispatcher`

public final class KeyBindingDispatcher.KeyDownFilter extends Object implements Listener
A display filter for handling key bindings. This filter can either be enabled or disabled. If disabled, the filter does not process incoming events. The filter starts enabled.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`KeyDownFilter()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`handleEvent(Event event)`
Handles an incoming traverse or key down event.
`final boolean`
`isEnabled()`
Returns whether the key binding filter is enabled.
`final void`
`setEnabled(boolean enabled)`
Sets whether this filter should be enabled or disabled.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyDownFilter

public KeyDownFilter()

## Method Details

### handleEvent

public final void handleEvent(Event event)
Handles an incoming traverse or key down event.

Specified by:
  `handleEvent` in interface `Listener`
Parameters:
  `event` - The event to process; must not be `null`.

### isEnabled

public final boolean isEnabled()
Returns whether the key binding filter is enabled.

Returns:
  Whether the key filter is enabled.

### setEnabled

public final void setEnabled(boolean enabled)
Sets whether this filter should be enabled or disabled.

Parameters:
  `enabled` - Whether key binding filter should be enabled.